import { default as PropTypes } from 'prop-types';
export default PlainLayout;
/**
 * footer plain layout
 */
declare function PlainLayout({ elements, data, ...rest }: {
    [x: string]: any;
    elements: any;
    data: any;
}): import("react/jsx-runtime").JSX.Element;
declare namespace PlainLayout {
    namespace propTypes {
        let elements: PropTypes.Validator<NonNullable<PropTypes.InferProps<{
            brand: PropTypes.Requireable<PropTypes.ReactElementLike>;
            navigation: PropTypes.Requireable<PropTypes.ReactElementLike>;
            socialMedia: PropTypes.Requireable<PropTypes.ReactElementLike>;
            copyright: PropTypes.Requireable<PropTypes.ReactElementLike>;
            links: PropTypes.Requireable<PropTypes.ReactElementLike>;
        }>>>;
        let data: PropTypes.Validator<object>;
    }
}
